<template>
  <v-card>
      <v-card-title>Existing Items</v-card-title>
      <v-card-text>
      <v-list>
        <v-list-item v-for="item in items" :key="item">
          <ListItem 
          :item="item"
          @item-removed = "removeItem"
          />
        </v-list-item>
      </v-list>
      </v-card-text>
    </v-card>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
import ListItem from '@/components/ListItem.vue';
import Item from '@/models/Item';

export default defineComponent({
  name: 'ItemsList',
  props: {
    items: {
      type: Object as () => Item, default: []
    }
  },
  setup(props, context) {
    function removeItem(){
      context.emit("item-removed");
    }
    return {
      removeItem
    }
  },
components: { ListItem },
});
</script>
